//////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2016 Leszek Koltunski                                                          //
//                                                                                          //
// This file is part of Distorted.                                                          //
//                                                                                          //
// Distorted is free software: you can redistribute it and/or modify                        //
// it under the terms of the GNU General Public License as published by                     //
// the Free Software Foundation, either version 2 of the License, or                        //
// (at your option) any later version.                                                      //
//                                                                                          //
// Distorted is distributed in the hope that it will be useful,                             //
// but WITHOUT ANY WARRANTY; without even the implied warranty of                           //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                            //
// GNU General Public License for more details.                                             //
//                                                                                          //
// You should have received a copy of the GNU General Public License                        // 
// along with Distorted.  If not, see <http://www.gnu.org/licenses/>.                       //
//////////////////////////////////////////////////////////////////////////////////////////////

precision lowp float;

#if __VERSION__ != 100
in vec2 a_Position;       // Per-vertex position.
in vec2 a_TexCoordinate;  // Per-vertex texture coordinate information we will pass in.
out vec2 v_TexCoordinate; //
#else
attribute vec2 a_Position;       // Per-vertex position.
attribute vec2 a_TexCoordinate;  // Per-vertex texture coordinate information we will pass in.
varying vec2 v_TexCoordinate;    //
#endif

uniform float u_Depth;    // distance from the near plane to render plane, in clip coords
uniform float u_Scale;

//////////////////////////////////////////////////////////////////////////////////////////////

void main()
  {
  v_TexCoordinate = u_Scale*a_TexCoordinate;
  gl_Position     = vec4(2.0*a_Position,u_Depth,1.0);
  }